[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit '_crw_dimc' (#crwlib)

# TDicCmndService

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: _crw_dimc.pas line 230

`type TDicCmndService = class(TDicBaseService)`
`protected`
`FCmndSent: Cardinal;`
`FCmndLost: Cardinal;`
`FOnCmndSent: TOnDicCmndSent;`
`function GetCmndSent;`
`procedure SetCmndSent();`
`function GetCmndLost;`
`procedure SetCmndLost();`
`function GetOnCmndSent;`
`procedure SetOnCmndSent();`
`public`
`property CmndLost: Cardinal; [rw]`
`property CmndSent: Cardinal; [rw]`
`property OnCmndSent: TOnDicCmndSent; [rw]`
`function CmndSend();`
`constructor Create();`
`procedure AfterConstruction; override;`
`procedure BeforeDestruction; override;`
`destructor Destroy; override;`
`end;`

## Inheritance

`TDicCmndService`
`TDicBaseService`
`TDimService`
`TMasterObject`
`TObject`